<h1>Paramètres du compte</h1>

<form action='/parametres' method='POST'>

  <h2>Mes identifiants</h2><br>
  <div class="form-row">
    <div class="form-group col-md-6">
      <label for="password">Mot de passe:</label>
      <input class="form-control" id="password" required name="password" type="password"/>
    </div>
    <div class="form-group col-md-6">
      <label for="confPassword">Confirmation: </label>
      <input class="form-control" id="confPassword" onchange="validateConfPassword()" required name="confPassword" type="password">
    </div>
  </div>
  <script type="text/javascript">
    function validateConfPassword() {
      let password = document.getElementById("password")
      let confPassword = document.getElementById("confPassword")
      let button = document.getElementById("btnMdp")
      if (password.value === confPassword.value) {
        button.disabled = false
        confPassword.classList.remove("is-invalid")
        confPassword.classList.add("is-valid")
      } else {
        button.disabled = true
        confPassword.classList.remove("is-valid")
        confPassword.classList.add("is-invalid")
      }
    }
  </script>
  <div class='form-group text-center'>
    <button class='btn btn-primary' id="btnMdp" name="typeEdit" type='submit'>Modifier mon mot de passe</button>
  </div>
</form>